Bug 448420 - Issues using wacom tablet with multiple individual monitors
Issues using wacom tablet with multiple individual monitors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: linuxwacom (Show other bugs)
4.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Aristeu Rozanski
:
Depends On:
Blocks: 391511
  Show dependency treegraph
 
Reported: 2008-05-26 13:43 EDT by Alan Matsuoka
Modified: 2010-10-22 21:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 14:52:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linuxwacom patch (4.31 KB, text/x-patch)
2008-05-26 13:43 EDT, Alan Matsuoka
no flags Details
linuxwacom-0.7.4_3-EL4.5.it169353.src.rpm (855.59 KB, application/x-rpm)
2008-05-26 13:44 EDT, Alan Matsuoka
no flags Details
sosreport (1.60 MB, application/x-zip-compressed)
2008-05-26 13:45 EDT, Alan Matsuoka
no flags Details

  None (edit)
Description Alan Matsuoka 2008-05-26 13:43:27 EDT
Description of problem:
When using multiple monitors, configured in individual mode, with a wacom
tablet, the pointer does not travel to the edges of all monitors. Here is an
example to illustrate the behavior:
Setup: 3 monitors (all configured with a 1600x1200 resolution) and a "Wacom
Graphire3 4x5" (Problem also arrises with the "Wacom Graphire4 4x6")
Software:
       kernel:          2.6.9-55.0.2.ELsmp
   Xorg:            6.8.2-1.EL.18
   linuxwacom:      0.7.4_3-EL4.5
   nvidia:          9755-4

Now assume that each screen is devide in 3 section:
   section 1 x range: 0-532
   section 2 x range: 533-1066
   section 3 x range: 1067-1599

The wacom table is also devided in 3 sections.

This would then look something like this:
screen         1   2   3
section       123 123 123

wacom tablet  ABC

Now, if the stylus is in section A on the tablet, the cursor is positioned in
section 1 of screen 1
If the stylus is in section B on the tablet, the cursor is positioned in section
2 of screen 2
If the stylus is in section C on the tablet, the cursor is positioned in section
3 of screen 3

The expected behaviour would be that if the stylus is in section A, the cursor
should be positioned in section 1, 2 or 3 on screen 1 depending on the position
of the stylus in section A on the tablet. The same would be expected for section
B and screen 2 and for section C and screen 3
How reproducible:  
Always
Steps to Reproduce:
* Configure multiple screens (2 or more) as individual screens (see attached
xorg.conf)

Actual results:
see description of problem
Expected results:
see description of problem
Additional info:
The problem has been reproduced with 2, 3 and 4 screens

Customer has finally tested Olivier's test packages and they appear to work
successfully.
Can we push up to Engineering for inclusion in RHEL.
Comment 1 Alan Matsuoka 2008-05-26 13:43:28 EDT
Created attachment 306690 [details]
linuxwacom patch
Comment 2 Alan Matsuoka 2008-05-26 13:44:27 EDT
Created attachment 306691 [details]
linuxwacom-0.7.4_3-EL4.5.it169353.src.rpm
Comment 3 Alan Matsuoka 2008-05-26 13:45:14 EDT
Created attachment 306692 [details]
sosreport
Comment 4 Aristeu Rozanski 2008-05-30 15:53:21 EDT
There're updated packages for RHEL4.8. I'll check if these fixes aren't already in
Comment 5 Aristeu Rozanski 2008-06-23 16:30:22 EDT
the last version includes these changes. please test the package
available at:

http://porkchop.redhat.com/brewroot/packages/linuxwacom/0.7.8.3/4.el5/
Comment 6 Aristeu Rozanski 2008-06-23 16:31:10 EDT
make the link in comment #5:
http://porkchop.redhat.com/brewroot/packages/linuxwacom/0.7.8.3/6.el4/

Note You need to log in before you can comment on or make changes to this bug.